Match History
Get the match history for the given player
Headers
X-Riot-ClientPlatform string required {client platform}— Base64-encoded client platform JSON X-Riot-ClientVersion string required {client version}— The current Valorant client version X-Riot-Entitlements-JWT string required {entitlement token}— From the Entitlements Token or Entitlement endpoint Authorization string required Bearer {auth token}— From the Entitlements Token endpoint or Riot auth URL parameters
shard enum required na, pbe, eu, ap or kr: depends on where the account was created.
napbeeuapkrHow to get it
The shard is dependent on where the Riot account was created.
There are 5 shards:
| Shard | Region(s) |
|---|---|
na | latam, br, na |
pbe | na |
eu | eu |
ap | ap |
kr | kr |
The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net
The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth
puuid string · uuid required Query parameters
startIndex number optional The index of the first match to return. Defaults to 0
endIndex number optional The index of the last match to return. Defaults to 20
queue string optional The queue to filter by. Defaults to all queues
Other variables
client platform Base64-encoded client platform JSON. Details
A string representing the platform of the client. Base-64 encoded JSON with the following fields:
{
"platformType": "PC",
"platformOS": "Windows",
"platformOSVersion": "10.0.26200.1.256.64bit",
"platformChipset": "Unknown"
} ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ==
is a value that works.
client version The current Valorant client version. Details
The version of the Valorant client. This can be obtained in a number of ways:
- Parsing the ShooterGame log at
%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log - Using the Sessions endpoint
- Using the third-party RadiantConnect version endpoint (
data.riot_client_version) - Using the third-party Versions endpoint
entitlement token From the Entitlements Token or Entitlement endpoint. Details
auth token From the Entitlements Token endpoint or Riot auth. Details
Response
Subject string · uuid Player UUID
BeginIndex number EndIndex number Total number History array[object] Show nested attributes Hide nested attributes 3
MatchID string · uuid Match ID
GameStartTime number Milliseconds since epoch
QueueID string Queue ID